import { Connection } from 'typeorm';
interface HandlerEvent {
    params: {
        query: {
            [key: string]: string;
        };
    };
    body: {
        [key: string]: string;
    };
    headers: {
        [key: string]: string;
    };
}
interface HandlerResponse {
    status?: number;
    data: any;
}
export default interface Handler {
    (event: HandlerEvent, ctx: {
        db: {
            connection?: Connection;
        };
    }): Promise<HandlerResponse | string>;
}
export {};
