import { Connection } from 'typeorm';
import { Request } from 'express';
export interface ResolverContext {
    db: {
        connection?: Connection;
    };
    request: Request;
    [key: string]: any;
}
export default interface Resolver {
    (parent: any, args: any, context: ResolverContext, info: any): any | Promise<any>;
}
