import { IConfig } from './interfaces/config.interface';
export default class App {
    readonly config: IConfig;
    private gqlLoader;
    private expressApp;
    constructor(config: IConfig);
    buildServer(initContextStorage?: Function): Promise<void>;
    private buildGraphql;
    private buildRest;
    private createDbConnectionAndMigrate;
}
