import { IResolvers } from 'apollo-server-express';
import { DocumentNode } from 'graphql';
export default class GqlLoader {
    private schemaPath;
    private resolversPath;
    private resolvers;
    private getResolverName;
    private loadResolversFromDir;
    private loadResolversFromFile;
    private loadResolvers;
    getResolvers(): Promise<IResolvers>;
    getResolversInArray(): Promise<{
        queryResolvers?: string[];
        mutationResolvers?: string[];
    }>;
    getTypeDefs(): Promise<DocumentNode>;
    private static importOrNull;
    getContextHandler(): Promise<any | null>;
    getAuthHandler(): Promise<any | null>;
}
