/// <reference types="node" />
import { writeFile, unlink, readdir, readFile, access, exists, mkdir, stat } from 'fs';
export default class PromisifiedFs {
    static unlink: typeof unlink.__promisify__;
    static writeFile: typeof writeFile.__promisify__;
    static readdir: typeof readdir.__promisify__;
    static readFile: typeof readFile.__promisify__;
    static access: typeof access.__promisify__;
    static rimraf: Function;
    static ncp: Function;
    static exists: typeof exists.__promisify__;
    static mkdir: typeof mkdir.__promisify__;
    static stat: typeof stat.__promisify__;
    static createFolderIfNotExist(path: string): Promise<void>;
}
